Subject: Re: bug#49820: [PATCH] gnu: texlive-bin: Add patch files to repo.

From: zimoun <[email-masked]>
Date: Wed, 02 Feb 2022 19:13:03 +0100

Hi,

On Tue, 03 Aug 2021 at 14:56, Maxim Cournoyer <[email-masked]> wrote:
> Martin Becze <[email-masked]> writes:
>
>> This adds two patch files that used to be hosted by the arch linux community
>> but was recently moved.
>>
>> * gnu/packages/patches/texlive-poppler-0.84.patch: New file.
>> * gnu/packages/patches/pdftex-poppler0.76.patch: New file.
>> * gnu/packages/tex.scm (texlive-bin): Changed to use local patch files.

[...]

> I'm afraid this can't go to master as 'guix refresh -l texlive-bin' says
> 5160 packages would need to be rebuilt.  It's also not needed for
> core-updates as it contains TeX Live 2021 which doesn't need these
> patches anymore.

Indeed, but sadly we overlooked at the issue raised by this patch; not
the patch themselves, the move of Arch to another hosting system.

The consequence is many time-machine are now broken, for instance:

    $ guix time-machine --commit=e77412362f -- help

--8<---------------cut here---------------start------------->8---
sha256 hash mismatch for /gnu/store/7c5jx9zbnh8nlapbxqv1wl8056lhhl2l-texlive-bin-pdftex-poppler0.75.patch:
  expected hash: 1cqpcp7h1qyxyp3wjbpcmx2wgvj9ywpz60hvy280mp9w633yzyg3
  actual hash:   0ribvsg4bka1cyj1wz4cd6vrxkvhqvlmjr75d7fdz5pw9r3rlgk8
hash mismatch for store item '/gnu/store/7c5jx9zbnh8nlapbxqv1wl8056lhhl2l-texlive-bin-pdftex-poppler0.75.patch'
--8<---------------cut here---------------end--------------->8---

because this kind of snippet:

--8<---------------cut here---------------start------------->8---
       (let ((arch-patch
              (lambda (name revision hash)
                (origin
                  (method url-fetch)
                  (uri (string-append "https://git.archlinux.org/svntogit/packages.git"
                                      "/plain/trunk/" name "?h=packages/texlive-bin"
                                      "&id=" revision))
                  (file-name (string-append "texlive-bin-" name))
                  (sha256 (base32 hash)))))
             (arch-revision "418dd6f008c3d41a461353fdb60f2d73d87c58ed"))
         (append (search-patches  "texlive-bin-CVE-2018-17407.patch"
                                  "texlive-bin-luatex-poppler-compat.patch")
                 (list
                  (arch-patch "pdftex-poppler0.75.patch" arch-revision
                              "1cqpcp7h1qyxyp3wjbpcmx2wgvj9ywpz60hvy280mp9w633yzyg3")
--8<---------------cut here---------------end--------------->8---

Another story!

Well, I think this patch proposal for master can be closed.  WDYT?

Cheers,
simon